<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.device.mapper.ElevatorDeviceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="elevatorDeviceResultMap" type="org.springblade.device.entity.ElevatorDevice">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="register_code" property="registerCode"/>
        <result column="lift_name" property="liftName"/>
        <result column="province_code" property="provinceCode"/>
        <result column="city_code" property="cityCode"/>
        <result column="town_code" property="townCode"/>
        <result column="street_code" property="streetCode"/>
        <result column="nbhd_name" property="nbhdName"/>
        <result column="floor_num" property="floorNum"/>
        <result column="floor_no" property="floorNo"/>
        <result column="part_no" property="partNo"/>
        <result column="elevator_no" property="elevatorNo"/>
        <result column="yt_status" property="ytStatus"/>
        <result column="yt_status_name" property="ytStatusName"/>
        <result column="online_status" property="onlineStatus"/>
        <result column="online_status_name" property="onlineStatusName"/>
        <result column="residential_id" property="residentialId"/>
        <result column="residential_name" property="residentialName"/>
        <result column="org_position" property="orgPosition"/>
        <result column="is_notice" property="isNotice"/>
        <result column="tenant_id" property="tenantId"/>
    </resultMap>


    <select id="selectElevatorDevicePage" resultMap="elevatorDeviceResultMap">
        select * from smart_elevator_device where is_deleted = 0
    </select>

    <select id="getResidentialIds" resultType="java.lang.Long">
        SELECT DISTINCT residential_id FROM smart_elevator_device  where is_deleted = 0
    </select>

</mapper>
